Debian Bug report logs - #622083
Consider running bundled tests during building

version graph

Package: python-gdata; Maintainer for python-gdata is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-gdata is src:python-gdata.

Reported by: Andrey Rahmatullin <wrar@wrar.name>

Date: Sun, 10 Apr 2011 05:06:02 UTC

Severity: wishlist

Tags: upstream

Found in version python-gdata/2.0.14-2

Fixed in version python-gdata/2.0.17-2

Done: Dmitry Shachnev <mitya57@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/gdata-python-client/issues/detail?id=617

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#622083; Package python-gdata. (Sun, 10 Apr 2011 05:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
New Bug report received and forwarded. Copy sent to Gustavo Franco <stratus@debian.org>. (Sun, 10 Apr 2011 05:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Consider running bundled tests during building
Date: Sun, 10 Apr 2011 10:55:36 +0600
Package: python-gdata
Version: 2.0.14-2
Severity: wishlist

The package contains tests, some of them can be run non-interactively so they
should be run during the package building. Unfortunately I don't know CDBS so I
can't add the myself, but here is the idea:

PYTHONPATH=build/lib.linux-x86_64-2.6 tests/run_data_tests.py

Note that run_all_tests.py runs interactive tests too.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-wrar+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#622083; Package python-gdata. (Fri, 02 Mar 2012 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 02 Mar 2012 14:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 622083@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 622083@bugs.debian.org
Subject: Tests result with an error
Date: Fri, 2 Mar 2012 18:31:34 +0400
Hm... I currently get this error trying to run the tests:

FAIL: testRecordResponse (atom_tests.mock_http_test.MockHttpClientUnitTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/mandriver/tests/python-gdata-2.0.16/tests/atom_tests/mock_http_test.py",
line 49, in testRecordResponse
    self.assertEquals(live_response.status, 200)
AssertionError: 502 != 200

I'll try to report this to upstream now.




Owner recorded as Dmitry Shachnev <mitya57@gmail.com>. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Fri, 02 Mar 2012 14:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#622083; Package python-gdata. (Fri, 02 Mar 2012 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 02 Mar 2012 14:48:04 GMT) Full text and rfc822 format available.

Message #17 received at 622083@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 622083@bugs.debian.org
Subject: Here's the upstream bug link
Date: Fri, 2 Mar 2012 18:44:52 +0400
http://code.google.com/p/gdata-python-client/issues/detail?id=552




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#622083; Package python-gdata. (Tue, 15 May 2012 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 15 May 2012 07:57:04 GMT) Full text and rfc822 format available.

Message #22 received at 622083@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 622083@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: bug#622083 Consider running bundled tests during building
Date: Tue, 15 May 2012 11:52:50 +0400
noowner 622083
tags 622083 + upstream
forwarded 622083
http://code.google.com/p/gdata-python-client/issues/detail?id=617
thanks

Despite the issue with non-working test, there is a bigger problem:
the testing script prints to stderr even if all tests were successful
(I've reported it as
http://code.google.com/p/gdata-python-client/issues/detail?id=617).

I don't believe this will be fixed any time soon because Google
doesn't respond to any my bugs/patches, so I'm unassigning this bug
from myself until that's properly fixed.

--
Dmitry Shachnev




Removed annotation that Bug was owned by Dmitry Shachnev <mitya57@gmail.com>. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Tue, 15 May 2012 07:57:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Tue, 15 May 2012 07:57:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/gdata-python-client/issues/detail?id=617'. Request was from mitya57@gmail.com to control@bugs.debian.org. (Tue, 15 May 2012 08:03:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from mitya57-guest@users.alioth.debian.org to control@bugs.debian.org. (Fri, 23 Nov 2012 06:42:03 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Shachnev <mitya57@gmail.com>:
You have taken responsibility. (Fri, 23 Nov 2012 14:51:11 GMT) Full text and rfc822 format available.

Notification sent to Andrey Rahmatullin <wrar@wrar.name>:
Bug acknowledged by developer. (Fri, 23 Nov 2012 14:51:12 GMT) Full text and rfc822 format available.

Message #35 received at 622083-close@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 622083-close@bugs.debian.org
Subject: Bug#622083: fixed in python-gdata 2.0.17-2
Date: Fri, 23 Nov 2012 14:47:54 +0000
Source: python-gdata
Source-Version: 2.0.17-2

We believe that the bug you reported is fixed in the latest version of
python-gdata, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622083@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Shachnev <mitya57@gmail.com> (supplier of updated python-gdata package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 23 Nov 2012 15:04:25 +0400
Source: python-gdata
Binary: python-gdata python-gdata-doc
Architecture: source all
Version: 2.0.17-2
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Dmitry Shachnev <mitya57@gmail.com>
Description: 
 python-gdata - Google Data Python client library
 python-gdata-doc - Google Data Python client library, documentation and examples
Closes: 619428 622083
Changes: 
 python-gdata (2.0.17-2) experimental; urgency=low
 .
   * Remove bundled python-crypto copy (closes: #619428).
   * Make python-gdata-doc suggest python-gdata.
   * Drop fix_wrong_interpreter_path.patch, no longer needed.
   * Set priority to optional (instead of extra).
   * Bump debhelper compat level to 9.
   * Run tests during build (closes: #622083).
     + debian/patches/tests_dont_return_zero_on_failures.patch:
       make tests return non-zero value on failures.
     + debian/patches/disable_network_test.patch:
       disable test that relies on network connection.
   * Bump Standards-Version to 3.9.4, no changes needed.
Checksums-Sha1: 
 0a8c19d9eec31f61a23b4ae5979727866f480aee 2151 python-gdata_2.0.17-2.dsc
 d2d9f60699611f95dd8c328691a2555e76191c0c 2398047 python-gdata_2.0.17.orig.tar.gz
 3a0c15011a42731ce8b20437afd2edf14c893607 7041 python-gdata_2.0.17-2.debian.tar.gz
 3971b9237e825d9815e7ba07e45bcc03239c5178 483176 python-gdata_2.0.17-2_all.deb
 3c59fa637b7a32a4da59c67111fc2582d4d7c90c 1653516 python-gdata-doc_2.0.17-2_all.deb
Checksums-Sha256: 
 6add3419c6eef5c1b6d45a6045d00f7e221a7d58eb4002e919957bf23b0c0c4d 2151 python-gdata_2.0.17-2.dsc
 ad72274532d726304733c5bfc01bffab8c7a34ce7e730deed849aecb62c5aa2d 2398047 python-gdata_2.0.17.orig.tar.gz
 fe8d1eaa9a869f782ffe9143ccd9b92a77e1201e081a7b4d16caeaec9981c418 7041 python-gdata_2.0.17-2.debian.tar.gz
 b0c16217c803fc184972db1e7a9867dcffb2539c56a74452a0a8b6ef8a75b669 483176 python-gdata_2.0.17-2_all.deb
 a2738ecc38a1d545e3c20e79b222093ea6213b9de990b445aa355a9e6d694f60 1653516 python-gdata-doc_2.0.17-2_all.deb
Files: 
 3308490fe4f94963d23a85f060f9841f 2151 python optional python-gdata_2.0.17-2.dsc
 8c3600cf02c6c228e28e366b2e5d5c32 2398047 python optional python-gdata_2.0.17.orig.tar.gz
 d12debf29492b5f605f4ab222d3c5f6b 7041 python optional python-gdata_2.0.17-2.debian.tar.gz
 782a00afff07aae86a0ac5b228167031 483176 python optional python-gdata_2.0.17-2_all.deb
 10c0324902bf808fefcf856bdf2b6bcf 1653516 doc optional python-gdata-doc_2.0.17-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQr4VXAAoJEGAmk20vHIrgIigP/jXWHMPijIZVkIGcMrvFGMOx
RERYzEsVsom9BMGl8Hly0EviN5x9PRMccT7JVh2z4FyNwQ5CbKFnZi5ELoA07VOf
IU3yfDADNxMIYMJQTmGajN2z9JZJN0RwJY1/q6SZOhUeL9jDC1khkgYpQbT43uky
wgmH+v+u8lIh5ZXjXTJOR3WVOi0/l6vF2Dm2van2o7m0JYNHd/D+iElMluE2USJu
2SmCoaNLDbPfymKEIYYBnn4LvsciIPjUHbvUkb94jDBFPFJMOHk2gEzsIrZ9+5Ob
LvwPfkvY4crVFffbPIGdNDQkZC3IiBiJDEQ1wsEVp7UT89aZNH1Gb4LR+Rb/joZg
njuBVkkRuEcXlA7f0rrUYUfnRIcJd4u8hcfqoeQd51qSY1PZDtjfFqwwuYP1WryY
Nthb2bJpeb/p0UaSwKwVHthTQQSgGZU8xf81FlvO3E72oEqttOZixTLUsLbeFCHl
0NPwpbupdRtGOA+Z777+vmQwF6zTh43kAlSmH0XkCw8Yw2G49XRg078TMBEyyn6Y
QgNX2tmAPknOKlmQKSC6W1twkOmKvmxDPnrAndrSJMVAo+mdJaWGlbkmsGK9qDOD
dRl+euI5vQeX1XBNSxSYVg1TTIZQess8ZwuuhHUJE6B3HGCO2ruvlEFmyMf+3340
4f7ubdSmshukq/YQws7/
=NdRe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Jan 2013 07:27:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:01:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.